Name:			shotwell
Version:		0.8.1
Release:		%mkrel 2
Summary:		A photo organizer designed for GNOME
License:		LGPLv2+ and CC-BY-SA
Group:			Graphics
Url:			http://www.yorba.org/shotwell/
Source0:		http://www.yorba.org/download/shotwell/0.8/shotwell-%{version}.tar.bz2
BuildRequires:		vala >= 0.9.5
BuildRequires:		gettext
BuildRequires:		gtk+2-devel >= 2.14.4
BuildRequires:		libgee-devel >= 0.5.0
BuildRequires:		webkitgtk-devel >= 1.1.5
BuildRequires:		gphoto2-devel >= 2.4.2
BuildRequires:		libgexiv2-devel >= 0.1.0
BuildRequires:		unique-devel >= 1.0.0
BuildRequires:		libsoup-devel
BuildRequires:		dbus-glib-devel
BuildRequires:		libGConf2-devel
BuildRequires:		libgudev-devel
BuildRequires:		libraw-devel
BuildRequires:		libjson-glib-devel
BuildRequires:		libgomp-devel
BuildRequires:		sqlite3-devel
BuildRequires:		gstreamer0.10-devel
%description
Shotwell is a digital photo organizer designed for the GNOME desktop 
environment. It allows you to import photos from disk or camera, 
organize them in various ways, view them in full-window or fullscreen 
mode, and export them to share with others.

%prep
%setup -q

%build
./configure --prefix=/usr --disable-schemas-install --assume-pkgs
sed -i -e 's/\\n/\n/g' configure.mk
sed -i -e 's/^CFLAGS = .*$/CFLAGS = %{optflags} %{ldflags}/' Makefile
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DISABLE_ICON_UPDATE=1 %makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS README COPYING NEWS THANKS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/gnome/help/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_sysconfdir}/gconf/schemas/%{name}.schemas




%changelog
* Wed Mar 16 2011 ahmad <ahmad> 0.8.1-2.mga1
+ Revision: 72972
- rebuild against webkit-1.2.x

* Thu Mar 10 2011 mikala <mikala> 0.8.1-1.mga1
+ Revision: 67699
- Fix BuildRequires
- Remove BuildRoot
- imported package shotwell


* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 635838
- BR libgomp-devel
- new version 0.8.1

* Fri Dec 24 2010 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 624566
- update BR
- new version 0.8.0

  + Götz Waschk <waschk@mandriva.org>
    - bump vala dep

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 577145
- update to new version 0.7.2

* Sat Aug 28 2010 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 573664
- new version 0.7.1

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2011.0
+ Revision: 571747
- new version 0.7.0

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 565620
- add upstream patch to build with vala 0.9.3
- New version 0.6.1

* Fri May 28 2010 Antoine Ginies <aginies@mandriva.com> 0.5.2-1mdv2010.1
+ Revision: 546490
- more languages support (Czech, Finnish, Greek, and Ukrainian), remove patch (integrated upstream)

* Wed Apr 21 2010 Frederik Himpe <fhimpe@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 537732
- Fix BuildRequires
- Update to new version 0.5.0
- Add patch from Debian to build with vala 0.8
- Don't update icon cache while building package

* Sun Jan 24 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 495530
- update to new version 0.4.3

* Wed Jan 06 2010 Jérôme Brenier <incubusss@mandriva.org> 0.4.2-1mdv2010.1
+ Revision: 486757
- new version 0.4.2
- add minimal version for some BuildRequires

* Sun Dec 27 2009 Jérôme Brenier <incubusss@mandriva.org> 0.4.1-1mdv2010.1
+ Revision: 482593
- add a buildroot tag
- import shotwell


